Get Tracking Info
Retrieve tracking information for an order.
Endpoint
GET /v1/tracking/get
Request
Header Parameters
| Parameter | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer YOUR_ACCESS_TOKEN | Bearer access token used for authentication. |
Content-Type | string | Yes | application/json | Request body content type. |
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| order_id | string | Yes | Order ID to get tracking for |
Query Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| tracking_number | string | Yes | Tracking number to query (alternative to order_id path) |
Note: At least one of order_id (path) or tracking_number (query) is required.
Example request
With Order ID
curl -X GET "${API_URL}/v1/tracking/get/3550806" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Content-Type: application/json"
With Tracking Number
curl -X GET "${API_URL}/v1/tracking/get?tracking_number=SF7444700499701" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Content-Type: application/json"
Responses
200 Success
200 Success
Response schema:
application/jsondatajson-stringTracking response wrapper.
data
json-string
Tracking response wrapper.
tracking_number
string
Shipment tracking number.
Example:
SF7444700508450order_id
string
Associated order ID.
Example:
3550875order_status
string
Current tracking status.
Example:
列印及安排取件export_country
string
Origin country.
Example:
HONG KONGdestination_country
string
Destination country.
Example:
Hong Kongshipping_provider
string
Shipping provider name.
Example:
Sf Expresscourier_name
string
Courier company name.
Example:
Sf Expresstracking_msg_listjson-stringArray of tracking events.
tracking_msg_list
json-string
Array of tracking events.
code
string
Event status code.
Example:
50location
string
Event location.
Example:
深圳市date
string
Event timestamp.
Example:
2025-12-09 17:37:09message
string
Human-readable message.
Example:
顺丰速运 已收取快件message
string
Human-readable message.
Example:
OKResponse sample
{
"data": {
"tracking_number": "SF7444700508450",
"order_id": "3550875",
"order_status": "列印及安排取件",
"export_country": "HONG KONG",
"destination_country": "Hong Kong",
"shipping_provider": "Sf Express",
"courier_name": "Sf Express",
"tracking_msg_list": [
{
"code": "50",
"location": "深圳市",
"date": "2025-12-09 17:37:09",
"message": "顺丰速运 已收取快件"
}
],
"message": "OK"
}
}
Note: Tracking data is fetched in real-time from courier APIs. Only orders belonging to the authenticated member can be tracked.
400 Bad Request
400 Bad Request
Response schema:
application/jsonerror.code
string
Error code.
Example:
400000error.code_reason
string
Error reason.
Example:
BAD_REQUESTerror.message
string
Human-readable message.
Example:
Bad Requesterror.error_code
string
Optional error code.
Example:
ORDER_NOT_FOUND, TRACKING_NUMBER_REQUIREDerror.error_tracearrayList of validation errors.
error.error_trace
array
List of validation errors.
field
string
Request field that failed.
Example:
order_idmessage
string
Human-readable message.
Example:
order_id is required when tracking_number is not providedResponse sample
{
"error": {
"code": "400000",
"code_reason": "BAD_REQUEST",
"message": "Bad Request",
"error_trace": [
{
"field": "order_id",
"message": "order_id is required when tracking_number is not provided"
}
]
}
}
401 Unauthorized
401 Unauthorized
Response schema:
application/jsoncode
string
Error code.
Example:
401000code_reason
string
Error reason.
Example:
UNAUTHORIZEDmessage
string
Human-readable message.
Example:
Unauthorized{
"error": {
"code": "401000",
"code_reason": "UNAUTHORIZED",
"message": "Unauthorized"
}
}
403 Forbidden
403 Forbidden
Response schema:
application/jsonerror
json-string
Access forbidden for this resource.
404 Not Found
404 Not Found
Response schema:
application/jsonerror
json-string
Resource or endpoint not found.
500 Failure
500 Failure
Response schema:
application/jsoncode
string
Error code.
Example:
500999code_reason
string
Error reason.
Example:
API_ERRORmessage
string
Human-readable message.
Example:
Api Error, please contact customer service{
"error": {
"code": "500999",
"code_reason": "API_ERROR",
"message": "Api Error, please contact customer service"
}
}